import { atomicPieceTypes } from "../specs";
import type { Component } from "react";
export type TRenderer = Component;
export type TAtomicPieceType = typeof atomicPieceTypes[number];
export type TAtomicPieceTypePieceTypeTitles = TAtomicPieceType["piece_type_title"];
export type TAtomicRendererSet = {
    [key in TAtomicPieceTypePieceTypeTitles]: TRenderer;
};
export declare const checkAtomicPieceRendererSet: (atomicPieceRendererSet: TAtomicRendererSet) => boolean;
